one huge commit
prithugoswami prithugoswami524@gmail.com
Sun, 13 Jan 2019 13:36:47 +0530
9 files changed,
43 insertions(+),
7 deletions(-)
M
bin/cron/newsboat-cron
→
bin/cron/newsboat-cron
@@ -1,6 +1,7 @@
#!/bin/sh -ping -q -c 1 8.8.8.8 >/dev/null || exit +ping -q -c 1 google.com >/dev/null || exit +pgrep -x newsboat >/dev/null && xdotool key --window "$(xdotool search --name newsboat)" R && exit count=0 echo -e '\uf2f1' > $HOME/.config/newsboat/unread && pkill -SIGRTMIN+10 i3blocks count=$(newsboat -x "reload" && newsboat -x "print-unread" | cut -d ' ' -f1)
M
bin/scripts/linkhandler
→
bin/scripts/linkhandler
@@ -18,8 +18,9 @@ case "$1" in
*mkv|*webm|*mp4|*gif) setsid mpv -quiet "$1" >/dev/null 2>&1 & ;; *youtube.com*|*youtu.be*) - notify-send "Playing in mpv" + notify-send "Playing youtube video" setsid mpv --ytdl-format=$ytdlfmt --quiet "$1" >/dev/null 2>&1 & ;; + # setsid youtube-viewer "$1" >/dev/null 2>&1 & ;; *png|*jpg|*jpe|*jpeg) setsid feh "$1" >/dev/null 2>&1 & ;; *mp3|*flac|*opus|*mp3?source)
A
bin/scripts/note
@@ -0,0 +1,19 @@
+#!/bin/sh + +remind_path=$HOME/.config/note +dmenu_cmd="dmenu -l 20 -h 23" + +if [ $# -eq 0 ]; then + output=$(cat $remind_path | $dmenu_cmd) + [ $? -ne 0 ] && exit; +fi + +case $output in + +) echo -n "" | dmenu -h 23 -p note >> $remind_path;; + *) ans=$(echo -e "no\nyes" | dmenu -h 23 -p "Delete?") + if [ $ans = "yes" ]; then + sed -i "/$output/d" $remind_path + else + exit 0 + fi;; +esac
M
i3/config
→
i3/config
@@ -161,7 +161,8 @@ bindsym $mod+Return exec --no-startup-id st
bindsym $mod+Shift+Return exec --no-startup-id urxvt bindsym $mod+b exec urxvt -e "ranger" bindsym $mod+Ctrl+b exec terminal -e 'bmenu' -bindsym $mod+d exec "rofi -show run -lines 3 -padding 25" +# bindsym $mod+d exec "rofi -show run -lines 3 -padding 25" +bindsym $mod+d exec --no-startup-id `cat .config/launcher | dmenu -h 23` # Desktop application launcher #bindsym $mod+Shift+d exec --no-startup-id "rofi -show drun" bindsym $mod+Shift+d exec --no-startup-id "runa -a"@@ -171,7 +172,7 @@ bindsym $mod+p exec urxvt -e "pd" && i3-msg fullscreen
# window swticher using rofi bindsym $mod+v exec --no-startup-id "rofi -show window -width 70" #bindsym $mod+Shift+u exec mpv "$(xsel -b)" -bindsym $mod+slash exec --no-startup-id urxvt -e zsh -c 'rifle "$(fzf)"' +bindsym $mod+slash exec --no-startup-id st -e zsh -c 'rifle "$(fzf)"' #}}}
M
i3blocks/config
→
i3blocks/config
@@ -1,3 +1,8 @@
+[reminder] +command=~/.config/i3blocks/note +interval=1 +markup=pango + [taskwarrior] command=~/.config/i3blocks/taskwarrior interval=1
A
i3blocks/note
@@ -0,0 +1,8 @@
+#!/bin/sh +note_file="$HOME/.config/note" +note_count=$(wc -l $note_file | cut -d ' ' -f1) +note_icon=$(echo -en "<span font='Font Awesome 5 Free '>\uf249</span>") + +if [ $note_count -gt 0 ]; then + echo -en "<span color='#ffff00'> $note_icon $note_count </span>" +fi
M
i3blocks/taskwarrior
→
i3blocks/taskwarrior
@@ -1,8 +1,8 @@
#!/bin/sh incount=$(task +PENDING +in count) todocount=$(task +PENDING -in count) -inbox_icon=$(echo -en "<b><span font='Font Awesome 5 Free'>\uf01c</span></b>") -todo_icon=$(echo -en "<b><span font='Font Awesome 5 Free'>\uf071</span></b>") +inbox_icon=$(echo -en "<span font='Font Awesome 5 Free'>\uf01c</span>") +todo_icon=$(echo -en "<span font='Font Awesome 5 Free'>\uf071</span>") if [ $incount -gt 0 ] then
M
ranger/rifle.conf
→
ranger/rifle.conf
@@ -175,9 +175,9 @@ #-------------------------------------------
mime ^image/svg, has inkscape, X, flag f = inkscape -- "$@" mime ^image/svg, has display, X, flag f = display -- "$@" +mime ^image, has sxiv, X, flag f = sxiv -- "$@" mime ^image, has viewnior, X, flag f = viewnior -- "$@" mime ^image, has pqiv, X, flag f = pqiv -- "$@" -mime ^image, has sxiv, X, flag f = sxiv -- "$@" mime ^image, has feh, X, flag f = feh -- "$@" mime ^image, has mirage, X, flag f = mirage -- "$@" mime ^image, has ristretto, X, flag f = ristretto "$@"